Skip to main content
POST
/
policies
Create governance policy
curl --request POST \
  --url https://api.blaxel.ai/v0/policies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "metadata": {
    "name": "my-resource",
    "displayName": "My Resource",
    "labels": {}
  },
  "spec": {
    "flavors": [
      {
        "name": "t4",
        "type": "cpu"
      }
    ],
    "locations": [
      {
        "name": "EU",
        "type": "continent"
      }
    ],
    "maxTokens": {
      "granularity": "minute",
      "input": 10000,
      "output": 5000,
      "ratioInputOverOutput": 2,
      "step": 1,
      "total": 15000
    },
    "resourceTypes": [
      "model"
    ],
    "sandbox": false,
    "type": "location"
  }
}
'
{
  "metadata": {
    "name": "my-resource",
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "createdBy": "<string>",
    "updatedBy": "<string>",
    "displayName": "My Resource",
    "labels": {},
    "plan": "<string>",
    "url": "<string>",
    "workspace": "<string>"
  },
  "spec": {
    "flavors": [
      {
        "name": "t4",
        "type": "cpu"
      }
    ],
    "locations": [
      {
        "name": "EU",
        "type": "continent"
      }
    ],
    "maxTokens": {
      "granularity": "minute",
      "input": 10000,
      "output": 5000,
      "ratioInputOverOutput": 2,
      "step": 1,
      "total": 15000
    },
    "resourceTypes": [
      "model"
    ],
    "sandbox": false,
    "type": "location"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Body

application/json

Rule that controls how a deployment is made and served (e.g. location restrictions)

metadata
object
required

Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information

spec
object
required

Policy specification

Response

200 - application/json

successful operation

Rule that controls how a deployment is made and served (e.g. location restrictions)

metadata
object
required

Common metadata fields shared by all Blaxel resources including name, labels, timestamps, and ownership information

spec
object
required

Policy specification